Delete a retained custom FHIR profile version

DELETE/fhir/profiles/{id}/versions/{version}

Deletes one retained version from a custom profile. The path version is the authored StructureDefinition.version value.

RequiresBearerauthentication

Path parameters

idstringrequired

The lowercase StructureDefinition id of the custom profile.

versionstringrequired

The authored StructureDefinition.version. It may contain letters, numbers, and the punctuation characters ., _, ~, +, and -; it cannot be exactly . or ...

Returns  

Profile version successfully deleted

DELETERequest
# Get authentication token
PHENOML_TOKEN=$(curl -X POST "https://experiment.app.pheno.ml/v2/auth/token" \
  -u "$PHENOML_CLIENT_ID:$PHENOML_CLIENT_SECRET" \
  | jq -r '.access_token')

curl -X DELETE "https://experiment.app.pheno.ml/fhir/profiles/custom-patient/versions/2.0.0" \
  -H "Authorization: Bearer $PHENOML_TOKEN"
204 No ContentExample Response
{}